#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x90,0x0A,0xCE,0x7B,0xB6,0x71,0xF1,0x71,0xC3,0xEC,0xF8,0x4F,
		0x22,0x92,0x4D,0x65,0x88,0x70,0x12,0xAF,0x77,0x3A,0x51,0x6B,
		0x10,0x47,0x5F,0xE8,0x53,0xBC,0x62,0x4E,0xA6,0x38,0x45,0x4E,
		0xBF,0x82,0x5E,0x9D,0x5A,0x82,0x87,0x6F,0x5C,0xA6,0x80,0x69,
		0x93,0x8E,0xFA,0xBD,0xC7,0xF8,0x48,0xE4,0x88,0xE4,0x5F,0x1A,
		0xD2,0xA3,0x79,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
